com.threerings.parlor.game.client

## Class GameConfigurator

- java.lang.Object
- - com.threerings.parlor.game.client.GameConfigurator

Direct Known Subclasses:
  SwingGameConfigurator

    public abstract class GameConfigurator
    extends Object

Provides the base from which interfaces can be built to configure games prior to starting them. Derived classes would extend the base configurator adding interface elements and wiring them up properly to allow the user to configure an instance of their game.

Clients that use the game configurator will want to instantiate one based on the class returned from the `GameConfig` and then initialize it with a call to `init(com.threerings.parlor.util.ParlorContext)`.

### Constructor Summary

Constructors
Constructor and Description
`GameConfigurator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GameConfig` `getGameConfig()` Obtains a configured game configuration.
`void` `init(ParlorContext ctx)` Initializes this game configurator, creates its user interface elements and prepares it for display.
`void` `setGameConfig(GameConfig config)` Provides this configurator with its configuration.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GameConfigurator

    public GameConfigurator()

### Method Detail

#### init

    public void init(ParlorContext ctx)

Initializes this game configurator, creates its user interface elements and prepares it for display.

#### setGameConfig

    public void setGameConfig(GameConfig config)

Provides this configurator with its configuration. It should set up all of its user interface elements to reflect the configuration.

#### getGameConfig

    public GameConfig getGameConfig()

Obtains a configured game configuration.